Loading...
Searching...
No Matches
_kdump_ctx Struct Reference

Representation of a dump file. More...

`#include <kdumpfile-priv.h>`

## Data Fields

struct kdump_shared * | shared
| Dump file shared data.
struct attr_dict * | dict
| Attribute dictionary.
struct list_head | list
| Node of the `ctx` list in `struct` kdump_shared.
struct list_head | xlat_list
| Node of the `ctx` list in `struct` kdump_xlat.
struct kdump_xlat * | xlat
| Shared address translation data.
addrxlat_ctx_t * | xlatctx
| Address translation context.
addrxlat_cb_t * | xlatcb
| Address translation callbacks.
void * | data [PER_CTX_SLOTS]
| Per-context data.
char | err_filename [sizeof("File #")+20]
| Temporary buffer for file names in error messages.
kdump_errmsg_t | err
| Error message buffer.

## Detailed Description

Representation of a dump file.

This structure contains state information and a pointer to `struct` kdump_shared.

## Field Documentation

## err

kdump_errmsg_t _kdump_ctx::err

Error message buffer.

This must be the last member.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h